PDA

View Full Version : AlienBBC transcoderless and recent 6.0 nightlies



Triode
2005-02-05, 12:04
Just a warning that the current AlienBBC beta doesn't work with 6.0 nightlies after Jan 23rd (subversion 1820) - before we see lots
of emails!

If you want to use it with a newer version of 6.0 it must be tonight's nightly or later (subversion 1928 or later) and you will need
to patch one of the AlienBBC files. (Or wait for a new beta release with this support)

If you want to do the maual patch to support the most recent nightly the hairy details are:
edit Plugins/Alien/RTSP.pm
replace:
$Slim::Player::Source::playlistInfo{rtsppl} = [\&RTSPPL, undef, undef];
With:
Slim::Formats::Parse::registerParser('rtsppl', \&RTSPPL, undef, undef);

NB - don't do the above for 5.4.1 it won't work!